PAN Simple with Name match
Introduction
The PAN Simple with Name match API provides an efficient solution verify whether the name that they are passing is matching with the name from the PAN passed in the request packet. In response, they need the name match score and PAN Simple details. Ideal for businesses and individuals needing fast access to PAN-related data, this API streamlines the process of identity verification and data validation with utmost ease and accuracy.
API details
Endpoint
POST https://api.signzy.app/api/v3/pan/name-matchPOST https://api-preproduction.signzy.app/api/v3/pan/name-matchRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data Type | Description | Required |
|---|---|---|---|
panNumber | String | The PAN (Permanent Account Number) of the individual to retrieve information for. | Mandatory |
name | String | Name of the person to be verified | Mandatory |
{
"panNumber": "MOGPS1234K",
"name": "John Doe"
}Code samples
curl --location https:"//api-preproduction.signzy.app/api/v3/pan/name-match' \
--header 'Content-Type: application/json' \
--header 'Authorization: <your-access-token>' \
--data '{
"panNumber": "MOGPS1234K",
"name": "John Doe"
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task. |
nameMatchScore | Integer | Match Score of submittedName and verifiedName |
result.submittedName | String | The name given in the request. |
result.verifiedName | String | The name on the PAN card |
result.firstName | String | The first name of the PAN card holder. (Will be blank for non-Individual PANs) |
result.middleName | String | The middle name of the PAN card holder. (Will be blank for non-Individual PANs) |
result.lastName | String | The last name of the PAN card holder. (Will be blank for non-Individual PANs) |
result.dob | String | The date of birth of the PAN card holder in format YYYY-MM-DD. If the DoB/DoI is invalid in the source, it'll be blank. |
result.panStatus | String | The PAN card status. The possible values are: VALID FAKE DEACTIVATED DELETED INVALID AMALGAMATION ACQUISITION DEATH DISSOLUTION LIQUIDATED MERGER PARTITION SPLIT UNDER LIQUIDATION INOPERATIVE If panStatus is not VALID, You will not be able to retrieve the name and DOB. The name and DOB will be empty. |
{
"result": {
"nameMatchScore": 1,
"submittedName": "John Doe", // name provided in input
"verifiedName": "JOHN DOE", // name form upstream
"firstName": "JOHN",
"middleName": "",
"lastName": "DOE",
"panStatus": "VALID",
"dateOfBirth": "2002-10-12"
},
"message": "Success",
"reason": "REQUEST_SUCCESSFUL",
"code": "S001"
}
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!